Index: Makefile.moddir_rules
===================================================================
--- Makefile.moddir_rules	(revision 225760)
+++ Makefile.moddir_rules	(working copy)
@@ -46,6 +46,9 @@
 C_MODS:=$(filter-out $(MENUSELECT_$(MENUSELECT_CATEGORY)),$(ALL_C_MODS))
 CC_MODS:=$(filter-out $(MENUSELECT_$(MENUSELECT_CATEGORY)),$(ALL_CC_MODS))
 
+C_OBJS	:= $(patsubst  %.c,%,%,$(wildcard *.c))
+CC_OBJS	:= $(patsubst %.cc,%,%,$(wildcard *.cc))
+
 ifneq ($(findstring $(MENUSELECT_CATEGORY),$(MENUSELECT_EMBED)),)
     EMBEDDED_MODS:=$(C_MODS) $(CC_MODS)
 else
@@ -57,8 +60,11 @@
 # (they are stored in file 'makeopts')
 
 $(addsuffix .oo,$(CC_MODS)) $(addsuffix .o,$(C_MODS)):	\
-	_ASTCFLAGS+= -DAST_MODULE=\"$*\" $(MENUSELECT_OPTS_$*:%=-D%) $(foreach dep,$(MENUSELECT_DEPENDS_$*),$(value $(dep)_INCLUDE))
+	_ASTCFLAGS+= -DAST_MODULE=\"$*\"
 
+$(addsuffix .oo,$(CC_OBJS)) $(addsuffix .o,$(C_OBJS)):	\
+	_ASTCFLAGS+= $(MENUSELECT_OPTS_$*:%=-D%) $(foreach dep,$(MENUSELECT_DEPENDS_$*),$(value $(dep)_INCLUDE))
+
 ifeq ($(findstring $(OSARCH), mingw32 cygwin ),)
    # don't define -fPIC on mingw32 and cygwin, it is the default
    $(LOADABLE_MODS:%=%.so): _ASTCFLAGS+=-fPIC
